/*
  $Id: core.css 178 2013-07-03 12:31:07Z hahn $
  
  Copyright:    BARAL Geohaus-Consulting AG
  Author:       Dipl.-Ing. (FH) Sebastian Kupke
*/

/* =body
-----------------------------------------------*/
body {
	background: none repeat scroll 0 0 #f9f9f9;
	line-height: 1.5;
	font-size: 75%;
}

h1, h2, h3, h4, h5, h6 {
	font-weight: bold;
}

h1 {
	position: relative;
	line-height: 1;
	margin-bottom: 0.5em;
}

h2 {
	position: relative;
	font-size: 2em;
	margin-top: 1.25em;
	margin-bottom: 0.75em;
}

h3 {
	font-size: 1.5em;
	line-height: 1;
}

h4 {
	font-size: 1.2em;
	height: 1.25em;
	line-height: 1.25;
	margin-bottom: 1.25em;
}

p {
	margin: 0 0 1.5em;
}

pre {
	margin: 0 0 1.5em;
}

ul {
	list-style-type: square;
}

ul, ol {
	margin: 0 1.5em 1.5em;
}

em {
	color: #686C70;
	font-style: normal;
}

input {
	border: 1px solid #bbb;
	font-size: 11px;
	padding: 4px 5px 2px;
	margin-left: 4px;
	width: 250px;
	color: #aaa;
	font-style: italic;
}

.syntaxhighlighter {
	margin-bottom: 2em !important;
}

.editableheader {
	width: 366px;
}

.editablecontent {
	width: 378px;
	height: 100px;
}

.copyright {
	font-size: 0.75em;
	color: #888;
}

.new_in_version {
	position: absolute;
	right: 0px;
	top: -26px;
}
.new_in_version.v2 {
	left: 200px;
    position: absolute;
    right: 0;
    top: 800px;
	width: 80px;
}


.new_in_version_left {
	position: absolute;
	left: -80px;
	top: -26px;
}

.sublist {
	list-style-type: circle;
	margin-bottom: 0px;
}

.searchfooter {
	font-size: 11px;
	color: #5E5E5E;
	font-style: italic;
}

.searchtype {
	font-size: 11px;
	color: #aaa;
}

.red {
	color: #AF5555;
}

.blue {
	color: #5582AF;
}

.green {
	color: #82AF55;
}

.yellow {
	color: #F5B800;
}

.gray {
	color: #aaa;
}

.gray_dark {
	color: #5E5E5E;
}

.red_light {
	color: #C88989;
}

/* =container
-----------------------------------------------*/
.container {
	position: relative;
	margin: 0 auto;
	width: 950px;
}

/* =header
-----------------------------------------------*/
#header {
	height: 120px;
	border-bottom: 1px solid #DDDDDD;
}

#logo {
	position: absolute;
	top: 19px;
	left: 0px;
	width: 239px;
	height: 79px;
}

#navigation {
	position: absolute;
	right: 0px;
	top: 60px;

}

#navigation a {
	border-right: 1px solid #ddd;
	font-size: 1.1em;
	text-decoration: none;
	padding: 0.5em 10px 0.5em 20px;
	margin-right: 8px;
	cursor: pointer;
	color: #000;
}
#navigation a:visited {
	color: #000;
}

#navigation .home {
	background: url(../img/menu/home_gray.png) left center no-repeat;
}

#navigation .maptorial {
	background: url(../img/menu/maptorial_gray.png) left center no-repeat;
}

#navigation .examples {
	background: url(../img/menu/examples_gray.png) left center no-repeat;
}

#navigation .api {
	background: url(../img/menu/api_gray.png) left center no-repeat;
}

#navigation .contact {
	background: url(../img/menu/contact_gray.png) left center no-repeat;
}

#navigation .logout {
	background: url(../img/menu/logout_gray.png) left center no-repeat;
	border: 0 none;
	margin-right: 0;
}

/* =submenu
-----------------------------------------------*/
#submenu {
	background: url(../img/gradient-bottom.png) repeat-x scroll left bottom #eee;
	border-bottom: 1px solid #ccc;
	padding: 0.3em 0;
	text-align: right;
}

#submenu-wrapper {
	height: 23px;
	line-height: 23px;
	position: relative;
}

#version_key {
	position: absolute;
	top: 0px;
	left: 0px;
	color: #999;
	
}
#version_key a {
	color: #000;
	text-decoration: none;
}

#version_key a:visited {
	color: #000;
}

#version {
	padding-left: 22px;
	background: url(../img/version_gray.png) left center no-repeat;
	display: inline-block;
	cursor: pointer;
}

#key {
	padding-left: 22px;
	background: url(../img/key_gray.png) left center no-repeat;
	margin-left: 14px;
	display: inline-block;
	cursor: pointer;
}

#load {
	text-align: center;
	display: none;
}

#search {
	position: absolute;
	right: 0px;
	top: 0px;
	
}

#draggable_images {
	height: 30px;
}

#draggable_images img {
	width: 32px;
	height: 32px;
	cursor: pointer;
	position: absolute;
}

.ui-autocomplete {
	max-height: 400px;
	overflow-y: auto;
	/* prevent horizontal scrollbar */
	overflow-x: hidden;
	/* add padding to account for vertical scrollbar */
	padding-right: 20px;
}

/* =wrapper
-----------------------------------------------*/
#wrapper {
	background: url(../img/gradient.png) repeat-x scroll left top #f4f5f5;
	padding-bottom: 3em;
	padding-top: 3em;
}

#main {
	float: left;
	border-left: 1px solid #ddd;
	border-right: 1px solid #ddd;
	padding-left: 25px;
	padding-right: 25px;
	width: 900px;
}

p.large {
	font-size: 1.5em;
	line-height: 1.5;
}

p.quiet {
	color: #686C70;
	font-size: 1.2em;
	line-height: 1.6;
}

	/* =main-menu
	-----------------------------------------------*/
	#main-menu {
		font-size: 1.1em;
		float: left;
		margin-right: 10px;
		width: 150px;
	}

	#main-menu h4, #main-menu h4 a {
		border-bottom: 1px solid #ddd;
		font-weight: bold;
		margin: 10px 0;
		padding-bottom: 2px;
		cursor: pointer;
		text-decoration: none;
	}

	#main-menu .namespace {
		
	}

	#main-menu .classes {
		display: none;
	}

	#main-menu .class {
		text-decoration: underline;
		cursor: pointer;
		text-align: right;
	}

	/* =main
	-----------------------------------------------*/
	#main h1 {
		padding-bottom: 0.3em;
		font-size: 2.5em;
		border-bottom: 1px solid #ddd;
	}

	#main h1 span {
		color: #bfbfbf;
	}

	#main h2 {
		border-bottom: 1px solid #ddd;
	}

	#main h2 span {
		color: #bfbfbf;
	}

	#main h3 {
		margin-bottom: 0.5em;
		padding-bottom: 0.4em;
	}

	#main p.description {
		font-size: 1.2em;
	}

	/* =menu
	-----------------------------------------------*/
	#menu {
		margin-left: 10px;
		margin-right: 0px;
		float: left;
		width: 138px;
	}

	/* =footy
	-----------------------------------------------*/
	#footy {
		margin-top: 30px;
		text-align: right;
		clear: both;
	}

/* =footer
-----------------------------------------------*/
#footer {
	border-top: 1px solid #ddd;
	color: #888;
	font-size: 0.75em;
	padding: 2em;
	text-align: center;
}

#footer a {
	cursor: pointer;
}
